Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Activation

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Activation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Activation

extends Object

The conditions within the build runtime environment which will trigger the automatic inclusion of the build profile.

Java class for Activation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Activation">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="activeByDefault" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="jdk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="os" type="{http://maven.apache.org/POM/4.0.0}ActivationOS" minOccurs="0"/>
             <element name="property" type="{http://maven.apache.org/POM/4.0.0}ActivationProperty" minOccurs="0"/>
             <element name="file" type="{http://maven.apache.org/POM/4.0.0}ActivationFile" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Boolean` | `activeByDefault`
`protected ActivationFile` | `file`
`protected String` | `jdk`
`protected ActivationOS` | `os`
`protected ActivationProperty` | `property`

Constructor Summary
`Activation()`

Method Summary
`ActivationFile` | `getFile()` Gets the value of the file property.
`String` | `getJdk()` Gets the value of the jdk property.
`ActivationOS` | `getOs()` Gets the value of the os property.
`ActivationProperty` | `getProperty()` Gets the value of the property property.
`Boolean` | `isActiveByDefault()` Gets the value of the activeByDefault property.
`void` | `setActiveByDefault(Boolean value)` Sets the value of the activeByDefault property.
`void` | `setFile(ActivationFile value)` Sets the value of the file property.
`void` | `setJdk(String value)` Sets the value of the jdk property.
`void` | `setOs(ActivationOS value)` Sets the value of the os property.
`void` | `setProperty(ActivationProperty value)` Sets the value of the property property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activeByDefault

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean activeByDefault

### jdk

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String jdk

### os

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ActivationOS os

### property

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ActivationProperty property

### file

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected ActivationFile file

Constructor Detail

### Activation

    public Activation()

Method Detail

### isActiveByDefault

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isActiveByDefault()

  Gets the value of the activeByDefault property.

  Returns:
    possible object is `Boolean`

### setActiveByDefault

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setActiveByDefault(Boolean value)

  Sets the value of the activeByDefault property.

  Parameters:
    `value` - allowed object is `Boolean`

### getJdk

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getJdk()

  Gets the value of the jdk property.

  Returns:
    possible object is `String`

### setJdk

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setJdk(String value)

  Sets the value of the jdk property.

  Parameters:
    `value` - allowed object is `String`

### getOs

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ActivationOS getOs()

  Gets the value of the os property.

  Returns:
    possible object is `ActivationOS`

### setOs

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOs(ActivationOS value)

  Sets the value of the os property.

  Parameters:
    `value` - allowed object is `ActivationOS`

### getProperty

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ActivationProperty getProperty()

  Gets the value of the property property.

  Returns:
    possible object is `ActivationProperty`

### setProperty

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setProperty(ActivationProperty value)

  Sets the value of the property property.

  Parameters:
    `value` - allowed object is `ActivationProperty`

### getFile

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public ActivationFile getFile()

  Gets the value of the file property.

  Returns:
    possible object is `ActivationFile`

### setFile

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFile(ActivationFile value)

  Sets the value of the file property.

  Parameters:
    `value` - allowed object is `ActivationFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.